ranges::views::closed_indices_fn Struct Reference

Inclusive range of indices: [from, to]. More...

`#include <range/v3/view/indices.hpp>`

## Public Member Functions

template<typename Val >
CPP_TEMPLATE_AUX_0 | c (requires integral< Val >) ccclosed_iota_view< Val > operator()(Val from
template<typename Val >
CPP_TEMPLATE_AUX_0 | c (requires integral< Val >) ccclosed_iota_view< Val > operator()(Val to) const

## Public Attributes

CPP_TEMPLATE_AUX_0 Val to | const

## Related Functions

(Note that these are not member functions.)
constexpr closed_indices_fn | closed_indices {}

## Detailed Description

Inclusive range of indices: [from, to].

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Val to ranges::views::closed_indices_fn::const

Initial value:
{
return {from, to}
ranges::to
auto to() -> detail::to_container_fn< detail::from_range< ContT >>
For initializing a container of the specified type with the elements of an Range.
Definition: conversion.hpp:410